
require 'minitest/autorun'
require 'store'

class StoreTest < MiniTest::Test
  def test_construct_efs_path
    data = [ [      1234, '00/00/00/12', '0000001234.dat'],
             [         1, '00/00/00/00', '0000000001.dat'],
	     [1234567890, '12/34/56/78', '1234567890.dat'],
	     [   7778123, '00/07/77/81', '0007778123.dat'],
	     [      0x1b, '00/00/00/00', '0000000027.dat'] ]

    store = Store.new()

    for (input, expectedPath, expectedName) in data
      (actualPath, actualName) = store.construct_efs_path(input)
      assert_equal(expectedPath, actualPath)
      assert_equal(expectedName, actualName)
    end
  end
end
